curl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/driver_days/{driver-day-id}/approvals \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"approval_category": "field",
"approval_type": "foreman",
"approver_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_approver_name": "<string>",
"approver_type": "User",
"approval_action": "approve"
}
]
}Retrieve ApprovalAssignments for a DriverDay as a Company
curl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/driver_days/{driver-day-id}/approvals \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"approval_category": "field",
"approval_type": "foreman",
"approver_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_approver_name": "<string>",
"approver_type": "User",
"approval_action": "approve"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
Company ID
DriverDay ID
OK
Show child attributes